// TestODBCView.h : interface of the CTestODBCView class
//


#pragma once


class CTestODBCView : public CView
{
protected: // create from serialization only
	CTestODBCView();
	DECLARE_DYNCREATE(CTestODBCView)

// Attributes
public:
	CTestODBCDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CTestODBCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TestODBCView.cpp
inline CTestODBCDoc* CTestODBCView::GetDocument() const
   { return reinterpret_cast<CTestODBCDoc*>(m_pDocument); }
#endif

